
(function($, window) {
// //////////////////// start Timeline script ///////////////////////

  // Update month field to only show the first 3 letters
  document.querySelectorAll('.paragraph--type--phase-deroulement').forEach(function(paragraph) {
    const monthField = paragraph.querySelector('.field_field_date_de_moi div:nth-of-type(2)');
    if (monthField) {
      const monthText = monthField.textContent.trim();
      if (monthText === "juillet") {
        monthField.textContent = monthText.slice(0, 4);
        monthField.classList.add('after');
      } else if (monthText === "juin") {
        monthField.textContent = monthText.slice(0, 4);
      } else if (monthText.length > 3) {
        monthField.textContent = monthText.slice(0, 3);
        monthField.classList.add('after');
      }
    }
  });

  // Fonction pour ajouter ou retirer la classe .only
  function updateDateClasses() {
    document.querySelectorAll('.paragraph--type--phase-deroulement .date').forEach(function(dateElement) {
      const date2Element = dateElement.querySelector('.date2');
      const yearElement = dateElement.querySelector('.field_field_date_de_annee');

      if (date2Element && !date2Element.textContent.trim()) {
        if (yearElement) {
          yearElement.classList.add('only');
        }
      } else {
        if (yearElement) {
          yearElement.classList.remove('only');
        }
      }
    });
  }

  // Exécuter la fonction une première fois pour le contenu déjà présent
  updateDateClasses();

  // MutationObserver pour surveiller les changements dans le DOM
  const observer = new MutationObserver(function(mutationsList, observer) {
    for(let mutation of mutationsList) {
      if (mutation.type === 'childList') {
        updateDateClasses();
      }
    }
  });


  $(document).ready(function(){
//   ////////////////////// start  calendrier home   /////////////////////////////////

  // // Aller au 9e élément à l'initialisation
  // $('.__timeline-content').on('init', function(event, slick){
  //   slick.slickGoTo(11); // Index 8 = 9e item
  // });

    $('.__timeline-content').slick({
      slidesToShow: 3,
      slidesToScroll: 1,
      dots: false,
      arrows: true,
      centerMode: false,
      draggable: true,
      infinite: false,
      initialSlide: 13,
      responsive: [
        {
          breakpoint: 810,
          settings: {
            slidesToShow: 1,
            adaptiveHeight: false,
            arrows: true,
            draggable: true,
            centerMode: false,
            infinite: false,
            initialSlide: 13,
          }
        }]
    });
    console.log('salut slick calendrier');
  
  });
  
//////////////////////// end   calendrier home   /////////////////////////////////



//////////////////////// end Timeline script /////////////////////////////////////////////
})(jQuery, window);